org.springframework.transaction

## Class CannotCreateTransactionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.transaction.TransactionException
          - - org.springframework.transaction.CannotCreateTransactionException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NestedTransactionNotSupportedException, TransactionSuspensionNotSupportedException

      public class CannotCreateTransactionException
      extends TransactionException

  Exception thrown when a transaction can't be created using an underlying transaction API such as JTA.
  Since:
    17.03.2003
  Author:
    Rod Johnson
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CannotCreateTransactionException(String msg)` Constructor for CannotCreateTransactionException.
    `CannotCreateTransactionException(String msg, Throwable cause)` Constructor for CannotCreateTransactionException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannotCreateTransactionException

          public CannotCreateTransactionException(String msg)

      Constructor for CannotCreateTransactionException.
      Parameters:
        `msg` - the detail message

    - #### CannotCreateTransactionException

          public CannotCreateTransactionException(String msg,
                                          Throwable cause)

      Constructor for CannotCreateTransactionException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause from the transaction API in use